# Generate the documentation
# Should be called from the ./CellTracking directory (not dev)


# Create structure
mkdir _build
mkdir _templates
mkdir _static

# Clean previous rst files (and previous doc)
for f in `find ./* | grep rst | grep -v index.rst`
    do rm $f
done
rm -r docs/_build
rm -r docs/_templates
rm -r docs/_static


# Compile rst files
for d in `ls -R bin | grep ":" | sed "s/://"`;
    do sphinx-apidoc -o $d $d
done

# Remove additional definitions
rm ./bin/Movies/modules.rst

# Generate html
make html

# move to the doc folder
mv _build docs
mv _templates docs
rm -r _static
